Bug 1447237 - Java 9
Summary: Java 9
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact:
URL:
Whiteboard: ChangeAcceptedF27, SelfContainedChange
Depends On: 1443076
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 08:04 UTC by Jan Kurik
Modified: 2017-11-14 08:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-14 08:58:25 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-05-02 08:04:11 UTC
This is a tracking bug for Change: Java 9
For more details, see: https://fedoraproject.org//wiki/Changes/Java9TechPreview

Add a tech preview preview of the the upcoming version of Java (OpenJDK9) to Fedora 27

Comment 1 Jan Kurik 2017-08-10 06:18:03 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 2 Jan Kurik 2017-08-14 14:22:13 UTC
Deferring. Please resubmit the Change proposal for review to Change wrangler once this is ready.

For more info check https://pagure.io/fesco/issue/1760#comment-457211

Comment 3 jiri vanek 2017-08-14 18:35:25 UTC
Hi! 

We really need this for f27. The review is nearly finished. We were delayed by security update of jdk8.

Comment 4 Jan Kurik 2017-08-15 07:40:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Kalev Lember 2017-08-19 06:22:04 UTC
We discussed it in the FESCo meeting yesterday and agreed to allow this as a late exception:

  * AGREED: Allow Java 9 as a late exception for F27, as it's already
    ready to land (+1:5, 0:0, -1:0)  (kalev, 16:23:59)

https://meetbot.fedoraproject.org/fedora-meeting/2017-08-18/fesco.2017-08-18-16.00.log.html

Comment 6 jiri vanek 2017-08-19 15:09:51 UTC
thank you. the package is now built for f27+

Comment 7 Jan Kurik 2017-09-06 13:38:19 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 8 jiri vanek 2017-09-06 14:55:31 UTC
Sure it is. Thank you.


Note You need to log in before you can comment on or make changes to this bug.